# Inbucket

To be used together with the [`mail`](../mail) setup.

## Install Software

Get: https://www.inbucket.org/binaries/

```sh
cd /usr/local/share
sudo tar -xf ~/inbucket_*
sudo ln -s inbucket_* inbucket
sudo ln -s ../share/inbucket/inbucket /usr/local/bin
sudo ln -s ../share/inbucket/inbucket-client /usr/local/bin
```

## Apply Configuration

```sh
DOMAIN=test.local

sudo cp inbucket.service /etc/systemd/system
sudo cp nginx.conf /etc/nginx/sites-available/inbucket
sudo -u vmail cp inbucket.conf /data/mail/config

sudo ln -s ../sites-available/inbucket /etc/nginx/sites-enabled
sudo sed -i s/example.com/$DOMAIN/ /etc/nginx/sites-available/inbucket

echo "inbucket:$(openssl passwd -5)" | sudo -u vmail tee /data/mail/config/inbucket.htpasswd
sudo chown vmail:www-data /data/mail/config/inbucket.htpasswd
sudo chmod 640 /data/mail/config/inbucket.htpasswd

echo "insert into domain (domain, transport) values ('$DOMAIN','smtp:[localhost]:2500')" | sudo -u vmail sqlite3 /data/mail/config/vmail.db

sudo systemctl enable inbucket
```
